- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends

# MIffTag Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

Encapsulates IFF's 4 character block structure.

Class MIffTag is used to create the 4 byte tags that are used to distinguish the different block types within an IFF file.

Examples:

  geometryCacheFile.cpp.

`#include <MIffTag.h>`

List of all members.

## Public Member Functions
| MIffTag ()
| Default class constructor.
| MIffTag (unsigned char a, unsigned char b, unsigned char c, unsigned char d)
| Class MIffTag is used to create the 4 byte tags that are used to distinguish the different block types within an IFF file.
| MIffTag (unsigned int tag)
| Construct an id from an int.
| ~MIffTag ()
| Destructor.
bool | operator== (const MIffTag &tag) const
| Equals operator.
## Static Public Attributes
static const MIffTag | kFORM
| Marks the start of a group of data blocks. Search for all occurrences
static const MIffTag | kCAT
| Defines an unsorted group of FORM, e.g. images or sounds. Search for all occurrences
static const MIffTag | kLIST
| Defines a sorted group of FORM, e.g. sequence of images. Search for all occurrences
static const MIffTag | kPROP
| Marks the start of a group of data blocks containing properties shared between forms that are a part of a LIST. Search for all occurrences
static const MIffTag | kFOR4
| Four byte aligned FORM block. Search for all occurrences
static const MIffTag | kFOR8
| Eight byte aligned FORM block. Search for all occurrences
static const MIffTag | kCAT4
| Four byte aligned CAT block. Search for all occurrences
static const MIffTag | kCAT8
| Eight byte aligned CAT block. Search for all occurrences
static const MIffTag | kLIS4
| Four byte aligned LIST block. Search for all occurrences
static const MIffTag | kLIS8
| Eight byte aligned LIST block. Search for all occurrences
static const MIffTag | kPRO4
| Four byte aligned PROP block. Search for all occurrences
static const MIffTag | kPRO8
| Eight byte aligned PROP block.
## Friends Search for all occurrences
class | MIffFile Search for all occurrences

## Constructor & Destructor Documentation

MIffTag | ( | unsigned char | a,
|  | unsigned char | b,
|  | unsigned char | c,
|  | unsigned char | d
| ) |  |

Class MIffTag is used to create the 4 byte tags that are used to distinguish the different block types within an IFF file.

This version of the constructor makes an id tag for a block type.

Parameters:

  [in] | a | first byte of tag
  [in] | b | second byte of tag
  [in] | c | third byte of tag
  [in] | d | fourth byte of tag

MIffTag | ( | unsigned int | tag | ) |

Construct an id from an int.

Parameters:

  [in] | tag | value of tag

## Member Function Documentation

bool operator== | ( | const MIffTag & | tag | ) | const

Equals operator.

Parameters:

  [in] | tag | tag value to compare against

MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag
MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag MIffTag